Bug 1121988 - Review Request: zanata-python-client - Python Client for Zanata Server
Summary: Review Request: zanata-python-client - Python Client for Zanata Server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 09:50 UTC by anish
Modified: 2015-04-12 23:12 UTC (History)
5 users (show)

Fixed In Version: zanata-python-client-1.3.14-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-08 08:41:07 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description anish 2014-07-22 09:50:20 UTC
Spec URL: http://anishpatil.fedorapeople.org/zanata-python-client.spec
SRPM URL: http://anishpatil.fedorapeople.org/zanata-python-client-1.3.14-1.fc20.src.rpm
Description: Python Client for Zanata Server
Fedora Account System Username:anishpatil

Comment 1 Parag AN(पराग) 2014-07-24 06:30:23 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
zanata-python-client.noarch: E: explicit-lib-dependency python-hashlib
zanata-python-client.noarch: E: incorrect-fsf-address /usr/bin/flies
zanata-python-client.noarch: W: no-manual-page-for-binary flies
zanata-python-client.noarch: W: no-manual-page-for-binary zanata
zanata-python-client.src:179: W: macro-in-%changelog %doc
2 packages and 0 specfiles checked; 2 errors, 3 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :9cbc8cacc3f86327e2a2aa902cd8215df3964dc23b395043338d75460aebd77b
upstream tarball :9cbc8cacc3f86327e2a2aa902cd8215df3964dc23b395043338d75460aebd77b

+ License "MIT" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines.

Suggestions:
1) Ask upstream to fix the fsf address in /usr/bin/flies

2) every '%' character in changelog should be written as '%%'

3) you don't need sitelib macro for current Fedora releases
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

drop above.

4) Drop Group tag

5) Instead of following
%if 0%{?fedora} < 13
BuildRequires: python-devel
%endif

just add
BuildRequires: python2-devel

we want this BR: for python packages

6) Change %{__python}  to %{__python2} 

7) drop %clean

8) change %{python_sitelib} to %{python2_sitelib}

9) drop defattr line

Check more on http://fedoraproject.org/wiki/Packaging:Python

Comment 2 Parag AN(पराग) 2014-07-24 10:11:21 UTC
ugh! pasting mistake. I see license for this package is LGPLv2+

Drop COPYING file in %doc as it contains GPLv3+ text which is not related to this package. Good to drop it from upstream also.

Comment 3 anish 2014-07-24 10:25:52 UTC
Hi Parag

Thank you for your review comments,
I have opened a bug for correct fsf file on upstream

Please find new SRPM and Spec file on 


Spec URL: http://anishpatil.fedorapeople.org/zanata-python-client.spec
SRPM URL: http://anishpatil.fedorapeople.org/zanata-python-client-1.3.14-2.fc20.src.rpm

Comment 4 Parag AN(पराग) 2014-07-24 14:11:21 UTC
Few more fixes needed

1) In above link spec I can still see COPYING packaged, remove it

2) change 
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
to
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT

3)change
python2 setup.py build
to
%{__python2} setup.py build

All this is given on http://fedoraproject.org/wiki/Packaging:Python#Example_spec_file

Comment 5 anish 2014-07-25 04:57:44 UTC
Hi Parag!

Thank you for your review comments 
Please find new spec and SRPM file on 


Spec URL: http://anishpatil.fedorapeople.org/zanata-python-client.spec
SRPM URL: http://anishpatil.fedorapeople.org/zanata-python-client-1.3.14-3.fc20.src.rpm

Comment 6 Parag AN(पराग) 2014-07-25 05:32:34 UTC
Looks good now.

APPROVED.

Comment 7 anish 2014-07-25 09:14:17 UTC
Thanks Parag for review 

New Package SCM Request
=======================
Package Name: zanata-python-client 
Short Description: Python Client for Zanata Server
Upstream URL:  http://zanata.org
Owners: anishpatil
Branches: f20 f21 epel7
InitialCC: i18n-team

Comment 8 Gwyn Ciesla 2014-07-25 12:00:30 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2014-07-28 08:11:28 UTC
zanata-python-client-1.3.14-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.14-3.fc20

Comment 10 Gwyn Ciesla 2014-07-28 19:23:46 UTC
Package Change Request
======================
Package Name: zanata-python-client
New Branches: f21
Owners: anishpatil

Comment 11 Gwyn Ciesla 2014-07-28 19:24:28 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2014-07-29 02:07:34 UTC
zanata-python-client-1.3.14-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 13 Fedora Update System 2014-08-08 08:41:07 UTC
zanata-python-client-1.3.14-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 anish 2014-10-30 05:24:40 UTC
Package Change Request
======================
Package Name: zanata-python-client
New Branches: el6 epel7 
Owners: anishpatil
InitialCC: i18n-team

Comment 15 Gwyn Ciesla 2014-10-30 12:21:55 UTC
Git done (by process-git-requests).

el6 exists.


Note You need to log in before you can comment on or make changes to this bug.